Index: trunk/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1124)
+++ trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1133)
@@ -377,15 +377,7 @@
   ("DepthFlag",             m_depthFlag          , std::vector<Int>(1,0), "Depth Flag")
 #if H_3D_DIM
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  ("DMM",                   m_useDMM,           true,  "Depth intra model modes")
-  ("IVP",                   m_useIVP,           true,  "intra-view prediction")
-  ("SDC",                   m_useSDC,           true,  "Simplified depth coding")
-#endif
   ("DLT",                   m_useDLT,           true,  "Depth lookup table")
 #endif
 #if H_3D
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  ("SingleDepthMode",    m_useSingleDepthMode, true, "Single depth mode")                         
-#endif
 #endif
 #endif
@@ -408,9 +400,5 @@
   ("ProfileTierLevelIdx_%d",  m_profileTierLevelIdx, std::vector<Int>(0), MAX_NUM_LAYERS, "Indices to profile level tier for ols")
   // Layer dependencies
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
   ("DirectRefLayers_%d",    m_directRefLayers    , std::vector<Int>(0,0), MAX_NUM_LAYERS, "LayerIdx in VPS of direct reference layers")
-#else
-  ("DirectRefLayers_%d",    m_directRefLayers    , std::vector<Int>(0,0), MAX_NUM_LAYERS, "LayerIds of direct reference layers")
-#endif
   ("DependencyTypes_%d",    m_dependencyTypes    , std::vector<Int>(0,0), MAX_NUM_LAYERS, "Dependency types of direct reference layers, 0: Sample 1: Motion 2: Sample+Motion")
 #endif
@@ -538,27 +526,7 @@
   ("DeblockingFilterMetric",         m_DeblockingFilterMetric,         false )
 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_ARP
-  ("AdvMultiviewResPred",      m_uiUseAdvResPred,           (UInt)1, "Usage of Advanced Residual Prediction" )
-#endif
-#if H_3D_SPIVMP
-  ("SubPULog2Size", m_iSubPULog2Size, (Int)3, "Sub-PU size index: 2^n")
-  ("SubPUMPILog2Size", m_iSubPUMPILog2Size, (Int)3, "Sub-PU MPI size index: 2^n")
-#endif
-#endif
 #if H_3D_IC
   ("IlluCompEnable",           m_abUseIC, true, "Enable illumination compensation")
   ("IlluCompLowLatencyEnc",    m_bUseLowLatencyICEnc, false, "Enable low-latency illumination compensation encoding")
-#endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_INTER_SDC
-  ("InterSDC",                 m_bDepthInterSDCFlag,        true, "Enable depth inter SDC")
-#endif
-#if H_3D_DBBP
-  ("DBBP",                     m_bUseDBBP,   true, "Enable depth-based block partitioning" )
-#endif
-#if H_3D_IV_MERGE
-  ("MPI",                      m_bMPIFlag,        true, "Enable MPI")
-#endif
 #endif
   // Coding tools
@@ -801,26 +769,6 @@
 
 #endif //HHI_VSO
-#if HHI_TOOL_PARAMETERS_I2_J0107
   ("QTL",                             m_bUseQTL                 , true          , "Use depth quad tree limitation (encoder only)" )
-#else
-#if H_3D_QTLPC
-  ("LimQtPredFlag",                   m_bLimQtPredFlag          , true          , "Use Predictive Coding with QTL" )
-  ("QTL",                             m_bUseQTL                 , true          , "Use depth Quadtree Limitation" )
-#endif
-#if H_3D_IV_MERGE
-  ("IvMvPred",                        m_ivMvPredFlag            , std::vector<Bool>(2, true)            , "inter view motion prediction " )
-#endif
-#if H_3D_NBDV_REF
-  ("DepthRefinement",                 m_depthRefinementFlag,    true           , "depth refinement by DoNBDV" )  
-#endif
-#if H_3D_VSP
-  ("ViewSynthesisPred",               m_viewSynthesisPredFlag,  true           , "view synthesis prediction " )  
-#endif
-#if H_3D
-  ("IvMvScaling",                     m_ivMvScalingFlag      ,  true            , "inter view motion vector scaling" )    
-#endif
-#endif
-
-#if HHI_TOOL_PARAMETERS_I2_J0107
+
   ("IvMvPredFlag"          , m_ivMvPredFlag          , std::vector< Bool >(2,true)                    , "Inter-view motion prediction"              )
   ("IvMvScalingFlag"       , m_ivMvScalingFlag       , std::vector< Bool >(2,true)                    , "Inter-view motion vector scaling"          )
@@ -838,5 +786,4 @@
   ("InterSdcFlag"          , m_interSdcFlag          , true                                           , "Inter depth DCs"                           )
   ("IntraSingleFlag"       , m_intraSingleFlag       , true                                           , "Intra single mode"                         )
-#endif
 #endif //H_3D
   ;
@@ -1680,10 +1627,6 @@
 
 #if H_3D_ARP
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  xConfirmPara( ( 0 != m_uiUseAdvResPred ) &&  ( 1 != m_uiUseAdvResPred ), "UseAdvResPred must be 0 or 1." );
-#endif
 #endif
 #if H_3D_SPIVMP
-#if HHI_TOOL_PARAMETERS_I2_J0107
   xConfirmPara( m_log2SubPbSizeMinus3 < 0,                                        "Log2SubPbSizeMinus3 must be equal to 0 or greater.");
   xConfirmPara( m_log2SubPbSizeMinus3 > 3,                                        "Log2SubPbSizeMinus3 must be equal to 3 or smaller.");
@@ -1693,13 +1636,4 @@
   xConfirmPara( m_log2MpiSubPbSizeMinus3 > 3,                                        "Log2MpiSubPbSizeMinus3 must be equal to 3 or smaller.");
   xConfirmPara( (1<< (m_log2MpiSubPbSizeMinus3 + 3)) > m_uiMaxCUWidth,               "Log2MpiSubPbSizeMinus3 must be equal to log2(maxCUSize)-3 or smaller.");
-#else
-  xConfirmPara( m_iSubPULog2Size < 3,                                        "SubPULog2Size must be 3 or greater.");
-  xConfirmPara( m_iSubPULog2Size > 6,                                        "SubPULog2Size must be 6 or smaller.");
-  xConfirmPara( (1<<m_iSubPULog2Size) > m_uiMaxCUWidth,                      "SubPULog2Size must be log2(maxCUSize) or smaller.");
- 
-  xConfirmPara( m_iSubPUMPILog2Size < 3,                                        "SubPUMPILog2Size must be 3 or greater.");
-  xConfirmPara( m_iSubPUMPILog2Size > 6,                                        "SubPUMPILog2Size must be 6 or smaller.");
-  xConfirmPara( ( 1 << m_iSubPUMPILog2Size ) > m_uiMaxCUWidth,                  "SubPUMPILog2Size must be log2(maxCUSize) or smaller.");
-#endif
 #endif
 #if ADAPTIVE_QP_SELECTION
@@ -2648,6 +2582,5 @@
   printf("WVSO:%d ", m_bUseWVSO );  
 #endif
-
-#if HHI_TOOL_PARAMETERS_I2_J0107
+#if H_3D
   printf( "QTL:%d "                  , m_bUseQTL);
   printf( "IlluCompEnable:%d "       , m_abUseIC);
@@ -2672,51 +2605,4 @@
   printf( "InterSdc:%d "               , m_interSdcFlag           ? 1 : 0 );
   printf( "IntraSingle:%d "            , m_intraSingleFlag        ? 1 : 0 );
-
-#else
-#if H_3D_QTLPC
-  printf("LimQtPredFlag:%d ", m_bLimQtPredFlag ? 1 : 0);
-  printf("QTL:%d ", m_bUseQTL);
-#endif
-#if H_3D_IV_MERGE  
-  printf("IvMvPred:%d %d", m_ivMvPredFlag[0] ? 1 : 0, m_ivMvPredFlag[1] ? 1 : 0);
-#if H_3D_SPIVMP
-  printf(" SubPULog2Size:%d  " , m_iSubPULog2Size  );
-  printf(" SubPUMPILog2Size:%d  " , m_iSubPUMPILog2Size  );
-#endif
-#endif
-#if H_3D_ARP
-  printf(" ARP:%d  ", m_uiUseAdvResPred  );
-#endif
-#if H_3D_IC
-  printf( "IlluCompEnable:%d ", m_abUseIC);
-  printf ("IlluCompLowLatencyEnc:%d ",  m_bUseLowLatencyICEnc);
-#endif
-#if H_3D_NBDV_REF
-  printf("DepthRefinement:%d ", m_depthRefinementFlag );  
-#endif
-#if H_3D_VSP
-  printf("ViewSynthesisPred:%d ", m_viewSynthesisPredFlag );
-#endif
-#if H_3D
-  printf("IvMvScaling:%d ", m_ivMvScalingFlag ? 1 : 0  );
-#endif
-#if H_3D_DIM
-  printf("DMM:%d ", m_useDMM );
-  printf("IVP:%d ", m_useIVP );
-  printf("SDC:%d ", m_useSDC );
-  printf("DLT:%d ", m_useDLT );
-#endif
-#if H_3D
-  printf("SingleDepthMode:%d ",    m_useSingleDepthMode);
-#endif
-#if H_3D_INTER_SDC
-  printf( "interSDC:%d ", m_bDepthInterSDCFlag ? 1 : 0 );
-#endif
-#if H_3D_DBBP
-  printf("DBBP:%d ", m_bUseDBBP ? 1 : 0);
-#endif
-#if H_3D_IV_MERGE
-  printf( "MPI:%d ", m_bMPIFlag ? 1 : 0 );
-#endif
 #endif
 
Index: trunk/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 1124)
+++ trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 1133)
@@ -132,21 +132,4 @@
   Bool m_higherLayerIrapSkipFlag;
 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_IV_MERGE
-  vector<Bool>           m_ivMvPredFlag;                      ///< Interview motion vector prediction 
-
-#if H_3D_SPIVMP
-  Int                    m_iSubPULog2Size;                    
-  Int                    m_iSubPUMPILog2Size;                    
-#endif
-#endif
-#if H_3D_QTLPC
-  Bool                   m_bLimQtPredFlag;
-#endif
-#if H_3D_ARP                                                  /// < flag and number of weighting factors in ARP
-  UInt                   m_uiUseAdvResPred;
-  UInt                   m_uiARPStepNum;
-#endif
-#endif
 
 #if H_3D_IC
@@ -155,15 +138,4 @@
 #endif
 
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_NBDV_REF
-  Bool m_depthRefinementFlag;  
-#endif
-#if H_3D_VSP
-  Bool m_viewSynthesisPredFlag;
-#endif
-#if H_3D
-  Bool m_ivMvScalingFlag; 
-#endif
-#endif
 #endif
   Double    m_adLambdaModifier[ MAX_TLAYER ];                 ///< Lambda modifier array for each temporal layer
@@ -492,32 +464,10 @@
 #endif
 #if H_3D_DIM
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  Bool      m_useDMM;                                        ///< flag for using DMM
-  Bool      m_useIVP;
-  Bool      m_useSDC;                                        ///< flag for using SDC
-#endif
   Bool      m_useDLT;                                        ///< flag for using DLT
-#endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_SINGLE_DEPTH
-  Bool     m_useSingleDepthMode;                          ///< flag for using single depth mode
-#endif
 #endif
 #if H_3D_QTLPC
   Bool      m_bUseQTL;                                        ///< flag for using depth QuadTree Limitation
 #endif
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_INTER_SDC
-  Bool m_bDepthInterSDCFlag;                                ///< flag for inter SDC of depth map coding
-#endif
-#if H_3D_DBBP
-  Bool      m_bUseDBBP;                                     ///< flag for depth-based block partitioning
-#endif
-#if H_3D_IV_MERGE
-  Bool m_bMPIFlag;                                           ///< flag for MPI of depth map coding
-#endif
-#endif
-
-#if HHI_TOOL_PARAMETERS_I2_J0107
+
   std::vector< Bool >    m_ivMvPredFlag;
   std::vector< Bool >    m_ivMvScalingFlag;
@@ -535,5 +485,4 @@
   Bool                   m_interSdcFlag;
   Bool                   m_intraSingleFlag;
-#endif
 
 #endif
Index: trunk/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1124)
+++ trunk/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1133)
@@ -140,7 +140,4 @@
   xSetVPSVUI               ( vps ); 
 #if H_3D
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  xSetVPSExtension2        ( vps ); 
-#endif
   m_ivPicLists.setVPS      ( &vps );
   xDeriveDltArray          ( vps, dlt );
@@ -176,5 +173,4 @@
   }
 
-#if HHI_TOOL_PARAMETERS_I2_J0107
 #if H_3D
   // Set 3d tool parameters
@@ -203,5 +199,4 @@
     }
   }
-#endif
 #endif
 
@@ -248,10 +243,4 @@
     m_cTEncTop.setDWeight                      ( isDepth ? m_iDWeight             : 0     );
 #endif // H_3D_VSO
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_SPIVMP
-    m_cTEncTop.setSubPULog2Size                 (( isDepth || 0==layerIdInVps ) ? 0 : m_iSubPULog2Size   );
-    m_cTEncTop.setSubPUMPILog2Size              ( !isDepth ? 0 : m_iSubPUMPILog2Size   );
-#endif
-#endif
 #if H_3D_IC
     m_cTEncTop.setUseIC                        ( vps.getViewIndex( layerId ) == 0 || isDepth ? false : m_abUseIC );
@@ -260,51 +249,11 @@
 
     
-#if HHI_TOOL_PARAMETERS_I2_J0107
     m_cTEncTop.setUseDMM                       ( isDepth ? m_intraWedgeFlag   : false );
     m_cTEncTop.setUseSDC                       ( isDepth ? m_intraSdcFlag     : false );
     m_cTEncTop.setUseDLT                       ( isDepth ? m_useDLT   : false );
     m_cTEncTop.setUseQTL                       ( isDepth ? m_bUseQTL  : false );
-#else
-//========== Depth intra modes ==========
-#if H_3D_DIM
-    m_cTEncTop.setUseDMM                       ( isDepth ? m_useDMM               : false );
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-#if H_3D_FCO
-    m_cTEncTop.setUseIVP                       ( vps.getViewIndex( layerId ) == 0 && isDepth ? m_useIVP               : false );
-#else
-    m_cTEncTop.setUseIVP                       ( isDepth ? m_useIVP               : false );
-#endif
-#endif
-    m_cTEncTop.setUseSDC                       ( isDepth ? m_useSDC               : false );
-    m_cTEncTop.setUseDLT                       ( isDepth ? m_useDLT               : false );
-#endif
-
-
-#if H_3D_SINGLE_DEPTH
-    m_cTEncTop.setUseSingleDepthMode           ( isDepth ? m_useSingleDepthMode   : false );
-#endif
-#if H_3D_QTLPC
-    m_cTEncTop.setUseQTL                       ( isDepth ? m_bUseQTL               : false );
-#endif
-    //====== Depth Inter SDC =========
-#if H_3D_INTER_SDC
-    m_cTEncTop.setInterSDCEnable               ( isDepth ? m_bDepthInterSDCFlag    : false );
-#endif
-#if H_3D_DBBP
-    m_cTEncTop.setUseDBBP                      ( vps.getViewIndex( layerId ) == 0 || isDepth ? false : m_bUseDBBP );
-#endif
-#if H_3D_IV_MERGE
-#if H_3D_FCO
-    m_cTEncTop.setUseMPI                       ( vps.getViewIndex( layerId ) == 0 && isDepth ? m_bMPIFlag    : false );
-#else
-    m_cTEncTop.setUseMPI                       ( isDepth ? m_bMPIFlag    : false );
-#endif
-#endif
-#endif
-
-
-#if HHI_TOOL_PARAMETERS_I2_J0107
+
+
   m_cTEncTop.setSps3dExtension                 ( m_sps3dExtension );
-#endif
 #endif // H_3D
 
@@ -937,11 +886,4 @@
 #endif
 
-#if !LGE_DDD_REMOVAL_J0042_J0030
-#if H_3D_DDD
-          m_acTEncTopList[ layer ]->getSliceEncoder()->setDDDPar( m_cCameraData.getCodedScale()[0][ m_acTEncTopList[layer]->getViewIndex() ], 
-              m_cCameraData.getCodedOffset()[0][ m_acTEncTopList[layer]->getViewIndex() ], 
-              m_cCameraData.getCamParsCodedPrecision() );
-#endif
-#endif
         Int   iNumEncoded = 0;
 
@@ -1374,7 +1316,5 @@
   }
 
-#if H_MV_FIX_NUM_VIEWS
   vps.initNumViews(); 
-#endif
   Int maxViewId = xGetMax( m_viewId ); 
 
@@ -1433,7 +1373,5 @@
   vps.setDefaultDirectDependencyType( defaultDirectDependencyFlag ? defaultDirectDependencyType : -1 );       
 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
   vps.setRefLayers(); 
-#endif
 
   // Max sub layers, + presence flag
@@ -1454,5 +1392,4 @@
   vps.setVpsSubLayersMaxMinus1PresentFlag( subLayersMaxMinus1PresentFlag ); 
 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
   // Max temporal id for inter layer reference pictures
   for ( Int refLayerIdInVps = 0; refLayerIdInVps < m_numberOfLayers; refLayerIdInVps++)
@@ -1462,6 +1399,6 @@
     {
       Int curLayerIdInNuh = vps.getLayerIdInNuh( curLayerIdInVps );      
+      Int maxTid = -1; 
 #if H_3D
-      Int maxTid = -1; 
       if ( vps.getDirectDependencyFlag( curLayerIdInVps, refLayerIdInVps ) )
       {
@@ -1491,9 +1428,5 @@
         else
         {        
-#if HHI_TOOL_PARAMETERS_I2_J0107
           if( m_depthFlag[ curLayerIdInVps ] && ( m_mpiFlag|| m_qtPredFlag || m_intraContourFlag ) ) 
-#else
-          if( m_depthFlag[ curLayerIdInVps ] && ( m_bMPIFlag || m_bLimQtPredFlag || m_useIVP  ) ) 
-#endif
           {          
             Int nuhLayerIdTex = vps.getLayerIdInNuh( vps.getViewIndex( curLayerIdInNuh ), false ); 
@@ -1503,9 +1436,5 @@
             }
           }
-#if HHI_TOOL_PARAMETERS_I2_J0107
           if( !m_depthFlag[ curLayerIdInVps ] && vps.getNumRefListLayers( curLayerIdInNuh) > 0  && ( m_depthRefinementFlag || m_viewSynthesisPredFlag || m_depthBasedBlkPartFlag ) ) 
-#else
-          if( !m_depthFlag[ curLayerIdInVps ] && vps.getNumRefListLayers( curLayerIdInNuh) > 0  && ( m_depthRefinementFlag || m_viewSynthesisPredFlag || m_bUseDBBP) ) 
-#endif
           {  
             Int maxPresentTid =-1; 
@@ -1546,33 +1475,4 @@
   }
   vps.setMaxTidRefPresentFlag( maxTidRefPresentFlag );
-#else
-  // Max temporal id for inter layer reference pictures + presence flag
-  Bool maxTidRefPresentFlag = false; 
-  for ( Int refLayerIdInVps = 0; refLayerIdInVps < m_numberOfLayers; refLayerIdInVps++)
-  {
-    for ( Int curLayerIdInVps = 1; curLayerIdInVps < m_numberOfLayers; curLayerIdInVps++)
-    {
-        Int maxTid = -1; 
-        for( Int i = 0; i < ( getGOPSize() + 1); i++ ) 
-        {        
-          GOPEntry geCur =  m_GOPListMvc[curLayerIdInVps][( i < getGOPSize()  ? i : MAX_GOP )];
-          GOPEntry geRef =  m_GOPListMvc[refLayerIdInVps][( i < getGOPSize()  ? i : MAX_GOP )];
-          for (Int j = 0; j < geCur.m_numActiveRefLayerPics; j++)
-          {
-            if ( m_directRefLayers[ curLayerIdInVps ][ geCur.m_interLayerPredLayerIdc[ j ]] == refLayerIdInVps )
-            {
-              Bool refAlwaysIntra = ( i == getGOPSize() ) && ( m_iIntraPeriod[ curLayerIdInVps ] % m_iIntraPeriod[ refLayerIdInVps ] == 0 );
-              Bool refLayerZero   = ( i == getGOPSize() ) && ( refLayerIdInVps == 0 );
-              maxTid = std::max( maxTid, ( refAlwaysIntra || refLayerZero ) ? 0 : geRef.m_temporalId ); 
-            }
-          }
-        }
-        vps.setMaxTidIlRefPicsPlus1( refLayerIdInVps, curLayerIdInVps, maxTid + 1 );
-        maxTidRefPresentFlag = maxTidRefPresentFlag || ( maxTid != 6 );    
-    }
-  }
-
-  vps.setMaxTidRefPresentFlag( maxTidRefPresentFlag );
-#endif  
 
 
@@ -1603,7 +1503,5 @@
   for ( Int layerIdInVps = 1; layerIdInVps < m_numberOfLayers && allRefLayersActiveFlag; layerIdInVps++)
   {    
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
     Int layerIdInNuh = vps.getLayerIdInNuh( layerIdInVps ); 
-#endif
     for( Int i = 0; i < ( getGOPSize() + 1) && allRefLayersActiveFlag; i++ ) 
     {        
@@ -1612,5 +1510,4 @@
       
       // check if all reference layers when allRefLayerActiveFlag is equal to 1 are reference layer pictures specified in the gop entry
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
       for (Int k = 0; k < vps.getNumRefListLayers( layerIdInNuh ) && allRefLayersActiveFlag; k++ )
@@ -1622,14 +1519,5 @@
         Int refLayerIdInVps = vps.getLayerIdInVps( vps.getIdDirectRefLayer( layerIdInNuh , k ) ); 
 #endif
-#else
-      for (Int k = 0; k < m_directRefLayers[ layerIdInVps].size() && allRefLayersActiveFlag; k++ )
-      {
-        Int refLayerIdInVps = vps.getLayerIdInVps( m_directRefLayers[ layerIdInVps ][ k ] ); 
-#endif
-#if H_MV_FIX_REF_LAYER_PIC_FLAG
         if ( vps.getSubLayersVpsMaxMinus1(refLayerIdInVps) >= tId  && ( tId == 0 || vps.getMaxTidIlRefPicsPlus1(refLayerIdInVps,layerIdInVps) > tId )  )
-#else
-        if ( vps.getMaxTidIlRefPicsPlus1(refLayerIdInVps,layerIdInVps) > tId  && vps.getSubLayersVpsMaxMinus1(refLayerIdInVps) >= tId )
-#endif
         {
           Bool gopEntryFoundFlag = false; 
@@ -1648,5 +1536,4 @@
       {   
         Bool referenceLayerFoundFlag = false; 
-#if HHI_DEPENDENCY_SIGNALLING_I1_J0107
 #if H_3D
         for (Int k = 0; k < vps.getNumRefListLayers( layerIdInNuh ); k++ )
@@ -1658,14 +1545,5 @@
           Int refLayerIdInVps = vps.getLayerIdInVps( vps.getIdDirectRefLayer( layerIdInNuh, k) );
 #endif
-#else
-        for (Int k = 0; k < m_directRefLayers[ layerIdInVps].size(); k++ )
-        {
-          Int refLayerIdInVps = vps.getLayerIdInVps( m_directRefLayers[ layerIdInVps ][ k ] ); 
-#endif
-#if H_MV_FIX_REF_LAYER_PIC_FLAG
           if ( vps.getSubLayersVpsMaxMinus1(refLayerIdInVps) >= tId  && ( tId == 0 || vps.getMaxTidIlRefPicsPlus1(refLayerIdInVps,layerIdInVps) > tId )  )
-#else
-          if ( vps.getMaxTidIlRefPicsPlus1(refLayerIdInVps,layerIdInVps) > tId  && vps.getSubLayersVpsMaxMinus1(refLayerIdInVps) >= tId )
-#endif
           {          
             referenceLayerFoundFlag = referenceLayerFoundFlag || ( ge.m_interLayerPredLayerIdc[l] == k ); 
@@ -1679,7 +1557,4 @@
 
   vps.setAllRefLayersActiveFlag( allRefLayersActiveFlag );
-#if !HHI_DEPENDENCY_SIGNALLING_I1_J0107
-  vps.setRefLayers(); 
-#endif
 }; 
 
@@ -2210,92 +2085,4 @@
 
 #if H_3D
-#if HHI_TOOL_PARAMETERS_I2_J0107
-#else
-Void TAppEncTop::xSetVPSExtension2( TComVPS& vps )
-{
-  for ( Int layer = 0; layer <= vps.getMaxLayersMinus1(); layer++ )
-  {
-    Bool isDepth      = ( vps.getDepthId( layer ) == 1 ) ;
-    Bool isLayerZero  = ( layer == 0 ); 
-#if H_3D_FCO
-    Bool isDepthFirst = (layer > 1 ? true : false);
-#endif
-
-#if H_3D_ARP
-    vps.setUseAdvRP        ( layer, ( isDepth || isLayerZero || !vps.getNumDirectRefLayers(layer) ) ? 0 : m_uiUseAdvResPred );
-    vps.setARPStepNum      ( layer, ( isDepth || isLayerZero || !vps.getNumDirectRefLayers(layer) ) ? 1 : H_3D_ARP_WFNR     );
-#endif  
-#if H_3D_SPIVMP
-    if( isDepth )
-    {
-      vps.setSubPULog2Size         ( layer, (layer != 1) ? 6: 0 ); 
-      vps.setSubPUMPILog2Size      ( layer, (!isLayerZero) ? m_iSubPUMPILog2Size: 0 ); 
-    }
-    else
-    {
-      vps.setSubPULog2Size         ( layer, (!isLayerZero) ? m_iSubPULog2Size: 0 ); 
-    }
-#endif
-
-#if H_3D_DIM
-    vps.setVpsDepthModesFlag( layer, isDepth && !isLayerZero && (m_useDMM || m_useSDC || m_useDLT ) );
-#if H_3D_FCO
-    vps.setIVPFlag          ( layer, isDepth && !isLayerZero && m_useIVP && !isDepthFirst );
-#else
-    vps.setIVPFlag          ( layer, isDepth && !isLayerZero && m_useIVP );
-#endif
-#endif
-
-#if H_3D_IV_MERGE
-    if( !vps.getNumDirectRefLayers(layer) )
-    {
-      vps.setIvMvPredFlag    (layer, false);
-      vps.setIvMvScalingFlag (layer, false); 
-    }
-    else
-    {
-      if( isDepth )
-      {
-        vps.setIvMvPredFlag         ( layer, (layer != 1) && m_ivMvPredFlag[1] ); 
-      }
-      else
-      {
-        vps.setIvMvPredFlag         ( layer, !isLayerZero && m_ivMvPredFlag[0] ); 
-      }
-      vps.setIvMvScalingFlag (layer, m_ivMvScalingFlag); 
-    }
-#endif
-#if H_3D_QTLPC
-#if H_3D_FCO
-    vps.setLimQtPredFlag         ( layer, isDepth && m_bLimQtPredFlag && !isDepthFirst ); 
-#else
-    vps.setLimQtPredFlag         ( layer, isDepth && m_bLimQtPredFlag ); 
-#endif
-#endif
-#if H_3D_NBDV_REF
-    vps.setDepthRefinementFlag  ( layer, !isLayerZero && !isDepth && m_depthRefinementFlag );         
-#endif
-#if H_3D_VSP
-    vps.setViewSynthesisPredFlag( layer, !isLayerZero && !isDepth && vps.getNumDirectRefLayers(layer) && m_viewSynthesisPredFlag );         
-#endif
-#if H_3D_DBBP
-    vps.setUseDBBP              ( layer, !isLayerZero && !isDepth && m_bUseDBBP );
-#endif
-#if H_3D_INTER_SDC
-    vps.setInterSDCFlag( layer, !isLayerZero && isDepth && m_bDepthInterSDCFlag );
-#endif
-#if MTK_SINGLE_DEPTH_VPS_FLAG_J0060
-    vps.setSingleDepthModeFlag( layer, !isLayerZero && isDepth && m_useSingleDepthMode );         
-#endif
-#if H_3D_IV_MERGE
-#if H_3D_FCO
-    vps.setMPIFlag( layer, !isLayerZero && isDepth && m_bMPIFlag && !isDepthFirst );
-#else
-    vps.setMPIFlag( layer, !isLayerZero && isDepth && m_bMPIFlag );
-#endif
-#endif
-  }  
-}
-#endif
 
 Void TAppEncTop::xDeriveDltArray( TComVPS& vps, TComDLT& dlt )
Index: trunk/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncTop.h	(revision 1124)
+++ trunk/source/App/TAppEncoder/TAppEncTop.h	(revision 1133)
@@ -92,7 +92,5 @@
 #if H_3D
   TComDLT                    m_dlt;                         ///< dlt
-#if HHI_TOOL_PARAMETERS_I2_J0107
   TComSps3dExtension         m_sps3dExtension;              ///< Currently all layers share the same sps 3D Extension  
-#endif
 #endif
 
@@ -149,7 +147,4 @@
 #endif
 #if H_3D
-#if !HHI_TOOL_PARAMETERS_I2_J0107
-  Void xSetVPSExtension2( TComVPS& vps );
-#endif
   Void xDeriveDltArray( TComVPS& vps, TComDLT& dlt );
 #endif
